class VehicleCOImpl implements VehicleCO{
    @Override
    public void checkEngine() {

    }

    @Override
    public void initSystem() {

    }

    @Override
    public void initRadio() {
        /* Nigdy nie używana */
    }

    @Override
    public void initCassettePlayer() {
        /* Nigdy nie używana */
    }

    @Override
    public void initMediaSystem() {
        /* Faktyczna logika działania */
    }
}
